Validate a source-map batch and return its upload URLs
curl --request POST \
--url https://api.interfere.com/v3/releases/{releaseSlug}/source-maps/sign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"files": [
{
"path": "<string>",
"sizeBytes": 1,
"hasSourcesContent": true,
"hasNames": true,
"hasFile": true,
"mappingsPresent": true
}
]
}
'import requests
url = "https://api.interfere.com/v3/releases/{releaseSlug}/source-maps/sign"
payload = { "files": [
{
"path": "<string>",
"sizeBytes": 1,
"hasSourcesContent": True,
"hasNames": True,
"hasFile": True,
"mappingsPresent": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
files: [
{
path: '<string>',
sizeBytes: 1,
hasSourcesContent: true,
hasNames: true,
hasFile: true,
mappingsPresent: true
}
]
})
};
fetch('https://api.interfere.com/v3/releases/{releaseSlug}/source-maps/sign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uploads": [
{
"path": "<string>",
"objectKey": "<string>",
"presignedUrl": "<string>"
}
],
"expiresAt": 123
}{
"code": "AUTH_MISSING",
"message": "<string>",
"service": "collector"
}{
"code": "AUTH_AK_SCOPE_MISMATCH",
"message": "<string>",
"service": "collector"
}{
"code": "RELEASE_NOT_FOUND",
"message": "<string>",
"service": "collector"
}{
"code": "INGEST_INFRA_UNAVAILABLE",
"message": "<string>",
"service": "collector"
}Validate a source-map batch and return its upload URLs
POST
/
v3
/
releases
/
{releaseSlug}
/
source-maps
/
sign
Validate a source-map batch and return its upload URLs
Authorizations
apiKeyapiKeyHeader
Build-time secret key of the surface, as issued in the Interfere dashboard
Path Parameters
Pattern:
^rel_.*$Body
application/json
Per-file metadata the SDK uses to obtain presigned PUT URLs. The server validates per-file size and total file count, then issues short-lived URLs scoped to the release's R2 prefix. The SDK uploads to R2 directly and follows up with a complete call to materialize the manifest.
Show child attributes
Show child attributes
Was this page helpful?
⌘I